Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "slotsUpdatesSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotsUpdatesNotification",
"params": {
"result": {
"parent": 75,
"slot": 76,
"timestamp": 1625081266243,
"type": "firstShredReceived"
},
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "slotsUpdatesSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotsUpdatesNotification",
"params": {
"result": {
"parent": 75,
"slot": 76,
"timestamp": 1625081266243,
"type": "firstShredReceived"
},
"subscription": 0
}
}Websockets
Slots updates subscribe
Subscribe to slot lifecycle updates with their update type and timestamp. Save the subscription ID returned in result and match it against params.subscription in notifications. Use slotsUpdatesUnsubscribe on the same connection to stop the stream.
WSS
/
Messages
{
"jsonrpc": "2.0",
"id": 1,
"method": "slotsUpdatesSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotsUpdatesNotification",
"params": {
"result": {
"parent": 75,
"slot": 76,
"timestamp": 1625081266243,
"type": "firstShredReceived"
},
"subscription": 0
}
}{
"jsonrpc": "2.0",
"id": 1,
"method": "slotsUpdatesSubscribe"
}{
"jsonrpc": "2.0",
"method": "slotsUpdatesNotification",
"params": {
"result": {
"parent": 75,
"slot": 76,
"timestamp": 1625081266243,
"type": "firstShredReceived"
},
"subscription": 0
}
}api_key
type:httpApiKey
API key for authentication. Provide your Solana Tracker API key as a query parameter.
slotsUpdatesSubscribe
type:object
Subscribe to slot updates
slotsUpdatesNotification
type:object
Slot updates notification
slotsUpdatesSubscribe
type:object
Subscribe to slot updates
slotsUpdatesNotification
type:object
Slot updates notification
Was this page helpful?